Subject: Re: bug#13995: Problem with macros whose expansions define and use auxiliary macros

From: Mark H Weaver <[email-masked]>
Date: Wed, 20 Mar 2013 13:30:05 -0400

Andy Wingo <[email-masked]> writes:
> Have you tried master?

I just did, and my toy example works there.  Do you think that commit
de41e56492666801078e73860a358e1c63cbc8c2 is the reason?

It would be nice to get this working in stable-2.0 as well, but I guess
that would require working through our disagreement over the handling of
macro-introduced top-level identifiers.

  http://lists.gnu.org/archive/html/guile-devel/2011-11/msg00016.html

I still strongly believe that we should follow the standard behavior,
namely that each invocation of a macro must introduce fresh identifiers
(even if the macro operands are identical) just as every invocation of a
procedure must introduce fresh lexical variables (even if the procedure
arguments are identical).

    Regards,
      Mark